#include "ball.h"

//=============================================================================
// default constructor
//=============================================================================
Ball::Ball() : Entity()
{
    spriteData.width = ballNS::WIDTH;         // size of paddle
    spriteData.height = ballNS::HEIGHT;
    spriteData.x = ballNS::X;                 // location on screen
    spriteData.y = ballNS::Y;
    spriteData.rect.bottom = ballNS::HEIGHT;  // rectangle to select parts of an image
    spriteData.rect.right = ballNS::WIDTH;
    frameDelay = 1;
    startFrame = 0;                             // first frame of animation
    endFrame     = 0;                           // last frame of animation
    currentFrame = startFrame;
    edge.top = -ballNS::HEIGHT/2;             // set collision edges
    edge.bottom = ballNS::HEIGHT/2;
    edge.left = -ballNS::WIDTH/2;
    edge.right = ballNS::WIDTH/2;
	collisionType = entityNS::CIRCLE;
    mass = ballNS::MASS;
}

//=============================================================================
// update
// typically called once per frame
// frameTime is used to regulate the speed of movement and animation
//=============================================================================
void Ball::update(float frameTime)
{
    Entity::update(frameTime);
    spriteData.x += frameTime * velocity.x;         // move along X 
    spriteData.y += frameTime * velocity.y;         // move along Y
    
}
